## InfGtkCertificateView InfGtkCertificateView |

## Functions

GtkWidget * | inf_gtk_certificate_view_new ()
GtkWidget * | inf_gtk_certificate_view_new_with_certificate ()
void | inf_gtk_certificate_view_set_certificate ()

## Properties

gpointer | certificate | Read / Write

## Types and Values

struct | InfGtkCertificateView
struct | InfGtkCertificateViewClass

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkGrid
                        ╰── InfGtkCertificateView

## Implemented Interfaces

InfGtkCertificateView implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Description

## Functions

### inf_gtk_certificate_view_new ()

    GtkWidget *
    inf_gtk_certificate_view_new (void);

Creates a new InfGtkCertificateView. To show a certificate, use `inf_gtk_certificate_view_set_certificate()` on the returned widget.

[constructor]

#### Returns

A new InfGtkCertificateView.

[transfer floating]

### inf_gtk_certificate_view_new_with_certificate ()

    GtkWidget *
    inf_gtk_certificate_view_new_with_certificate
                                   (gnutls_x509_crt_t cert);

Creates a new InfGtkCertificateView showing the given certificate. This is the same as creating a new certificate view and calling `inf_gtk_certificate_view_set_certificate()` afterwards.

`cert` must not be freed as long as the certificate view is showing it. You can make the view not showing it anymore by calling `inf_gtk_certificate_view_set_certificate()` with `NULL` as certificate.

[constructor]

#### Parameters

cert | The certificate to show. |

#### Returns

A new InfGtkCertificateView.

[transfer floating]

### inf_gtk_certificate_view_set_certificate ()

    void
    inf_gtk_certificate_view_set_certificate
                                   (InfGtkCertificateView *view,
                                    gnutls_x509_crt_t cert);

Shows the given certificate in `view` .

`cert` must not be freed as long as the certificate view is showing it. You can make the view not showing it anymore by calling `inf_gtk_certificate_view_set_certificate()` with `NULL` as certificate.

#### Parameters

view | A InfGtkCertificateView. |
cert | The certificate to show. |

## Types and Values

### struct InfGtkCertificateView

    struct InfGtkCertificateView;

### struct InfGtkCertificateViewClass

    struct InfGtkCertificateViewClass {
      GtkGridClass parent_class;
    };

## Property Details

### The `“certificate”` property

      “certificate”              gpointer

The certificate to show.

Flags: Read / Write